#include <iostream>

using namespace std;

int main()
{
    int n;

    cin>>n;

    int a[n];
    double s[n], sum=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>s[i];
        sum+=a[i];
    }

    int maxs, hanzo;
    double  genji;      //I'm using genji to switch, because genji never swaps in overwatch, so I'm trying to make a difference and make genji switch, hol a kötél? Hanzo is also the same reason
    for(int i=0;i<n;i++)
    {
        maxs=i;
        for(int j=i;j<n;j++)
            if(s[maxs]>s[j])
                maxs=j;

        genji=s[maxs];
        s[maxs]=s[i];
        s[i]=genji;

        hanzo=a[maxs];
        a[maxs]=a[i];
        a[i]=hanzo;

    }


    double tax, maxtax=-1;
    for(int i=0;i<n;i++)
    {
        tax=sum*(s[i]/100);

        if(tax>maxtax)
            maxtax=tax;


        sum-=a[i];

    }


    cout<<fixed;
    cout<<maxtax;




       return 0;
}